## org.hibernate.metamodel.source.binder
Interface PluralAttributeSource

All Superinterfaces:
  AssociationAttributeSource, AttributeSource

All Known Implementing Classes:
  AbstractPluralAttributeSourceImpl, BagAttributeSourceImpl, SetAttributeSourceImpl

    public interface PluralAttributeSource

extends AssociationAttributeSource

Method Summary
`Caching` `getCaching()`
`String` `getCollectionTableCheck()`
`String` `getCollectionTableComment()`
`String` `getCustomLoaderName()`
`String` `getCustomPersisterClassName()` Obtain the name of a custom persister class to be used.
`CustomSQL` `getCustomSqlDelete()`
`CustomSQL` `getCustomSqlDeleteAll()`
`CustomSQL` `getCustomSqlInsert()`
`CustomSQL` `getCustomSqlUpdate()`
`PluralAttributeElementSource` `getElementSource()`
`String` `getExplicitCatalogName()`
`String` `getExplicitCollectionTableName()`
`String` `getExplicitSchemaName()`
`PluralAttributeKeySource` `getKeySource()`
`PluralAttributeNature` `getPluralAttributeNature()`
`String` `getWhere()`
`boolean` `isInverse()`

Methods inherited from interface org.hibernate.metamodel.source.binder.AssociationAttributeSource
`getCascadeStyles, getFetchMode, getFetchStyle, getFetchTiming`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSource
`getName, getPropertyAccessorName, getTypeInformation, isIncludedInOptimisticLocking, isSingular, metaAttributes`

Method Detail

### getPluralAttributeNature

    PluralAttributeNature getPluralAttributeNature()

### getKeySource

    PluralAttributeKeySource getKeySource()

### getElementSource

    PluralAttributeElementSource getElementSource()

### getExplicitSchemaName

    String getExplicitSchemaName()

### getExplicitCatalogName

    String getExplicitCatalogName()

### getExplicitCollectionTableName

    String getExplicitCollectionTableName()

### getCollectionTableComment

    String getCollectionTableComment()

### getCollectionTableCheck

    String getCollectionTableCheck()

### getCaching

    Caching getCaching()

### getCustomPersisterClassName

    String getCustomPersisterClassName()

  Obtain the name of a custom persister class to be used.

  Returns:
    The custom persister class name

### getWhere

    String getWhere()

### isInverse

    boolean isInverse()

### getCustomLoaderName

    String getCustomLoaderName()

### getCustomSqlInsert

    CustomSQL getCustomSqlInsert()

### getCustomSqlUpdate

    CustomSQL getCustomSqlUpdate()

### getCustomSqlDelete

    CustomSQL getCustomSqlDelete()

### getCustomSqlDeleteAll

    CustomSQL getCustomSqlDeleteAll()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.